function HugoCopter(self)
	local claw = GetClaw()

	if self.State == 0 then
		self.State = 1
	elseif self.State ~= 5000 then
		self:SetImage("CUSTOM_WINGS")
		self:SetAnimation("GAME_CYCLE100")
		self.Z = claw.Z - 1
		self.State = 5000
	elseif self.State == 5000 then
		self:AnimationStep()
		if GetInput"Jump" then
			ClawJump(20)
			GetClaw():SetFrame(401)
			self.DrawFlags.NoDraw = false
		elseif not GetInput"Jump" or _PowerupTime[0] < 50 then
			self.DrawFlags.NoDraw = true
		end
		self.X = claw.X
		self.Y = claw.Y + claw.MoveRect.Top*0.5 + 10
	end
end

function attack(self)
	CustomPowerup(HugoCopter,10000)
	self.pglitter:Destroy()
	self:Destroy()
end

function main(self)
	if self.State == 0 then
		self.AttackTypeFlags = 2
		self.AttackRect = {-20, -20, 20, 20}
		self:SetAnimation("GAME_CYCLE50")
		self:SetImage("CUSTOM_FLYINGPOTION")
		self.pglitter = CreateObject{x=self.X, y=self.Y, z=self.Z+1, logic="PowerupGlitter"}
		self.State = 1
	else
		self:AnimationStep()
	end
end